﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace SCDP
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.ThreadException += Application_ThreadException;
            Application.Run(new FormMain());
        }

        private static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e)
        {
            MessageBox.Show(
                string.Format("{0}: {1}", e.Exception.GetType(), e.Exception.Message),
                "ERROR",
                 MessageBoxButtons.OK,
                 MessageBoxIcon.Error);
        }
    }
}
