﻿using System;

namespace SCDP
{
    // (c) 2018 radiolistener
    // http://www.eevblog.com/forum/testgear/siglent-sds1000x-how-to-make-direct-ethernet-connection/
    public interface ISessionVxi11 : IDisposable
    {
        void Clear();

        void RawWrite(byte[] buffer, int index, int length);
        byte[] RawRead(uint length, out ReadStatus status);

        void RawWrite(string buffer);
        string RawReadString();
    }

    public enum ReadStatus
    {
        Unknown = 0,
        EndReceived = 1,
        TerminationCharacterEncountered = 2,
        MaximumCountReached = 3,
    }
}
